# Interface TabStopDefinition

interface TabStopDefinition {
leader?:
| "none"
| "dot"
| "hyphen"
| "underscore"
| "middleDot";
position: number;
type:
| "center"
| "clear"
| "left"
| "right"
| "start"
| "end"
| "decimal"
| "bar"
| "num";
}

- Defined in file/paragraph/formatting/tab-stop.ts:4

#####
Index

### Properties

leader?
position
type

##
Properties

### `Optional` `Readonly` leader

leader?:
| "none"
| "dot"
| "hyphen"
| "underscore"
| "middleDot"

- Defined in file/paragraph/formatting/tab-stop.ts:7

### `Readonly` position

position: number

- Defined in file/paragraph/formatting/tab-stop.ts:6

### `Readonly` type

type:
| "center"
| "clear"
| "left"
| "right"
| "start"
| "end"
| "decimal"
| "bar"
| "num"

- Defined in file/paragraph/formatting/tab-stop.ts:5